Loading...
Searching...
No Matches
version.h File Reference

Go to the source code of this file.

## Macros

#define | LIBOSMOCORE_VERSION 1.14.0
#define | LIBOSMOCORE_VERSION_STR "1.14.0"
#define | LIBOSMOCORE_VERSION_MAJOR 1
#define | LIBOSMOCORE_VERSION_MINOR 14
#define | LIBOSMOCORE_VERSION_PATCH 0
#define | LIBOSMOCORE_VERSION_GREATER_EQUAL(major, minor, patch)

## Macro Definition Documentation

## LIBOSMOCORE_VERSION

#define LIBOSMOCORE_VERSION 1.14.0

## LIBOSMOCORE_VERSION_GREATER_EQUAL

#define LIBOSMOCORE_VERSION_GREATER_EQUAL | ( |  | major,
|  |  | minor,
|  |  | patch )

Value:
(LIBOSMOCORE_VERSION_MAJOR > (major) || \
(LIBOSMOCORE_VERSION_MAJOR == (major) && \
LIBOSMOCORE_VERSION_MINOR > (minor)) || \
(LIBOSMOCORE_VERSION_MAJOR == (major) && \
LIBOSMOCORE_VERSION_MINOR == (minor) && \
LIBOSMOCORE_VERSION_PATCH >= (patch)))
LIBOSMOCORE_VERSION_MINOR
#define LIBOSMOCORE_VERSION_MINOR
Definition version.h:7
LIBOSMOCORE_VERSION_MAJOR
#define LIBOSMOCORE_VERSION_MAJOR
Definition version.h:6
LIBOSMOCORE_VERSION_PATCH
#define LIBOSMOCORE_VERSION_PATCH
Definition version.h:8

## LIBOSMOCORE_VERSION_MAJOR

#define LIBOSMOCORE_VERSION_MAJOR 1

## LIBOSMOCORE_VERSION_MINOR

#define LIBOSMOCORE_VERSION_MINOR 14

## LIBOSMOCORE_VERSION_PATCH

#define LIBOSMOCORE_VERSION_PATCH 0

## LIBOSMOCORE_VERSION_STR

#define LIBOSMOCORE_VERSION_STR "1.14.0"